<!DOCTYPE html>
<html><head>
<title>eric7.WebBrowser.FeaturePermissions.FeaturePermissionBar</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.WebBrowser.FeaturePermissions.FeaturePermissionBar</h1>
<p>
Module implementing the feature permission bar widget.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#FeaturePermissionBar">FeaturePermissionBar</a></td>
<td>Class implementing the feature permission bar widget.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="FeaturePermissionBar" ID="FeaturePermissionBar"></a>
<h2>FeaturePermissionBar</h2>
<p>
    Class implementing the feature permission bar widget.
</p>

<h3>Derived from</h3>
EricAnimatedWidget
<h3>Class Attributes</h3>
<table>
<tr><td>DefaultHeight</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#FeaturePermissionBar.__init__">FeaturePermissionBar</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#FeaturePermissionBar.__permissionDenied">__permissionDenied</a></td>
<td>Private slot handling the user pressing the deny button.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionBar.__permissionGranted">__permissionGranted</a></td>
<td>Private slot handling the user pressing the allow button.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionBar.__permissionUnknown">__permissionUnknown</a></td>
<td>Private slot handling the user closing the dialog without.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionBar.hide">hide</a></td>
<td>Public slot to hide the animated widget.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="FeaturePermissionBar.__init__" ID="FeaturePermissionBar.__init__"></a>
<h4>FeaturePermissionBar (Constructor)</h4>
<b>FeaturePermissionBar</b>(<i>page, origin, feature, manager</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>page</i> (QWebView)</dt>
<dd>
reference to the web page
</dd>
<dt><i>origin</i> (QUrl)</dt>
<dd>
security origin requesting the feature
</dd>
<dt><i>feature</i> (QWebPage.Feature)</dt>
<dd>
requested feature
</dd>
<dt><i>manager</i> (FeaturePermissionManager)</dt>
<dd>
reference to the feature permissions manager
</dd>
</dl>
<a NAME="FeaturePermissionBar.__permissionDenied" ID="FeaturePermissionBar.__permissionDenied"></a>
<h4>FeaturePermissionBar.__permissionDenied</h4>
<b>__permissionDenied</b>(<i></i>)
<p>
        Private slot handling the user pressing the deny button.
</p>

<a NAME="FeaturePermissionBar.__permissionGranted" ID="FeaturePermissionBar.__permissionGranted"></a>
<h4>FeaturePermissionBar.__permissionGranted</h4>
<b>__permissionGranted</b>(<i></i>)
<p>
        Private slot handling the user pressing the allow button.
</p>

<a NAME="FeaturePermissionBar.__permissionUnknown" ID="FeaturePermissionBar.__permissionUnknown"></a>
<h4>FeaturePermissionBar.__permissionUnknown</h4>
<b>__permissionUnknown</b>(<i></i>)
<p>
        Private slot handling the user closing the dialog without.
</p>

<a NAME="FeaturePermissionBar.hide" ID="FeaturePermissionBar.hide"></a>
<h4>FeaturePermissionBar.hide</h4>
<b>hide</b>(<i></i>)
<p>
        Public slot to hide the animated widget.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
